package com.diaoyun.zion.chinafrica.vo;

import java.io.Serializable;
import java.util.Date;

public class TbCfUserVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 用户id
     */
    private String userId;
    /**
     * 用户编号
     */
    private String userNo;
    /**
     * 用户名
     */
    private String userName;
    /**
     * 电话号码
     */
    private String phone;
    /**
     * 上一次登录时间
     */
    private Date lastLoginTime;
    /**
     * 默认地址id
     */
    private String defaultAddressId;
    /**
     * 默认地址
     */
    private String defaultAddressName;
    /**
     * 是否有效
     */
    private Integer enableFlag;

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUserNo() {
        return userNo;
    }

    public void setUserNo(String userNo) {
        this.userNo = userNo;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public Date getLastLoginTime() {
        return lastLoginTime;
    }

    public void setLastLoginTime(Date lastLoginTime) {
        this.lastLoginTime = lastLoginTime;
    }

    public String getDefaultAddressId() {
        return defaultAddressId;
    }

    public void setDefaultAddressId(String defaultAddressId) {
        this.defaultAddressId = defaultAddressId;
    }

    public String getDefaultAddressName() {
        return defaultAddressName;
    }

    public void setDefaultAddressName(String defaultAddressName) {
        this.defaultAddressName = defaultAddressName;
    }

    public Integer getEnableFlag() {
        return enableFlag;
    }

    public void setEnableFlag(Integer enableFlag) {
        this.enableFlag = enableFlag;
    }
}
